Bug 1830767 - Re-Review Request: retext - Simple editor for Markdown and reStructuredText
Summary: Re-Review Request: retext - Simple editor for Markdown and reStructuredText
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1830765
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-03 17:44 UTC by José Matos
Modified: 2020-09-25 16:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-11 15:14:15 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description José Matos 2020-05-03 17:44:54 UTC
Spec URL: https://jamatos.fedorapeople.org/retext/retext.spec
SRPM URL: https://jamatos.fedorapeople.org/retext/retext-7.1.0-1.fc32.src.rpm
Description:
ReText is simple text editor that supports Markdown and reStructuredText markup
languages. It is written in Python using PyQt libraries. It supports live
preview, tabs, math formulas, export to various formats including PDF and
HTML.

Fedora Account System Username: jamatos

Comment 1 José Matos 2020-05-03 17:49:45 UTC
This is re-review since this package was already in Fedora and it was orphaned last year. I did not notice on time last year so I am bring it back here.

One advantage of retext is that it supports several markup languages.

This package depends on python-markups (also a re-review) and on python-markdown-math that is a new package required by the update to python-markups.

Comment 2 Robert-André Mauchin 🐧 2020-06-23 16:27:42 UTC
RPM build errors:
    extra tokens at the end of %endif directive in line 34:  %endif # with_tests

    extra tokens at the end of %endif directive in line 78:  %endif # with_tests


Comments at the end of the line are not supported by rpm.

 - Not needed, it is handled by %transfiletrigger now:

%post
/usr/bin/update-desktop-database &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

 - Use a better archive name:

Source0:        https://github.com/retext-project/retext/archive/%{version}/%{name}-%{version}.tar.gz

 - Remove shebang in prep:

retext.noarch: E: non-executable-script /usr/lib/python3.9/site-packages/ReText/__main__.py 644 /usr/bin/env python3
retext.noarch: E: non-executable-script /usr/lib/python3.9/site-packages/ReText/converterprocess.py 644 /usr/bin/env python3




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://src.fedoraproject.org/rpms/retext
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/Naming/#_conflicting_package_names
- gtk-update-icon-cache must not be invoked in %post and %posttrans for
  Fedora 26 and later.
  Note: icons in retext
  See:
- update-desktop-database must not be invoked in %post and %postun for
  Fedora 24 and later.
  Note: desktop file(s) with MimeType entry in retext
  See:
  https://fedoraproject.org/w/index.php?title=Packaging:Scriptlets&oldid=494555#desktop-
  database


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU General Public License (v2)", "GPL
     (v2 or later)". 46 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/retext/review-
     retext/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: retext-7.1.0-1.fc33.noarch.rpm
          retext-7.1.0-1.fc33.src.rpm
retext.noarch: W: spelling-error Summary(en_US) reStructuredText -> restructured Text, restructured-text, restructuring
retext.noarch: W: spelling-error %description -l en_US reStructuredText -> restructured Text, restructured-text, restructuring
retext.noarch: E: non-executable-script /usr/lib/python3.9/site-packages/ReText/__main__.py 644 /usr/bin/env python3
retext.noarch: E: non-executable-script /usr/lib/python3.9/site-packages/ReText/converterprocess.py 644 /usr/bin/env python3
retext.src: W: spelling-error Summary(en_US) reStructuredText -> restructured Text, restructured-text, restructuring
retext.src: W: spelling-error %description -l en_US reStructuredText -> restructured Text, restructured-text, restructuring
2 packages and 0 specfiles checked; 2 errors, 4 warnings.

Comment 3 José Matos 2020-07-06 23:52:35 UTC
Thank you for the review.

New versions with your suggestions incorporated at:
Spec URL: https://jamatos.fedorapeople.org/retext/retext.spec
SRPM URL: https://jamatos.fedorapeople.org/retext/retext-7.1.0-2.fc32.src.rpm

IIRC the hash sign (#) at the %endif line was from the original code and not necessary since the conditions are small so it is always easy to see where the chunk starts.

Comment 4 Robert-André Mauchin 🐧 2020-07-07 11:47:42 UTC
 - Why are you using:

%{__python3} setup.py install -O1 --skip-build --root %{buildroot}


 instead of %py3_install?

Comment 5 José Matos 2020-07-07 13:20:25 UTC
(In reply to Robert-André Mauchin 🐧 from comment #4)
>  - Why are you using:
> 
> %{__python3} setup.py install -O1 --skip-build --root %{buildroot}
> 
> 
>  instead of %py3_install?

Honestly? :-)

Because this is a re-review and I have reused the original spec file.

I will change it, do you want me to submit a new version just with this change?

Comment 6 Robert-André Mauchin 🐧 2020-07-07 14:28:05 UTC
No it's good Package approved.

Comment 7 Robert-André Mauchin 🐧 2020-07-17 12:11:33 UTC
Do you plan of importing soon? I kind of need this package.

Comment 8 José Matos 2020-07-17 12:27:07 UTC
(In reply to Robert-André Mauchin 🐧 from comment #7)
> Do you plan of importing soon? I kind of need this package.

I imported it either in the same day or the next day after your review.

I did not yet build it because it depends on python-markups and I am waiting for Fabian's feedback since I have already submitted the requested update.

Comment 9 Fedora Update System 2020-09-02 16:55:31 UTC
FEDORA-2020-8216dd2d96 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-8216dd2d96

Comment 10 Fedora Update System 2020-09-02 17:00:44 UTC
FEDORA-2020-dcc8e94005 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-dcc8e94005

Comment 11 Fedora Update System 2020-09-02 17:03:40 UTC
FEDORA-2020-acbbb269ea has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-acbbb269ea

Comment 12 Fedora Update System 2020-09-03 16:30:33 UTC
FEDORA-2020-acbbb269ea has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-acbbb269ea`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-acbbb269ea

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-09-03 17:12:49 UTC
FEDORA-2020-dcc8e94005 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-dcc8e94005`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-dcc8e94005

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-09-03 18:09:09 UTC
FEDORA-2020-8216dd2d96 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-8216dd2d96`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-8216dd2d96

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2020-09-11 15:14:15 UTC
FEDORA-2020-acbbb269ea has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-09-11 15:18:14 UTC
FEDORA-2020-dcc8e94005 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2020-09-25 16:43:14 UTC
FEDORA-2020-8216dd2d96 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.